

/***************************************************************************
  This is the .do file to construct the analytic sample using IFLS 2,3,4,5 
 ****************************************************************************/

global raw "" 
   // this is where the raw data of IFLS are
global working ""
   // this is where the analytic data file is stored 


  
/***************************************************************************
   1997 nonreisdent children roster in b3b and b4 
*****************************************************************************/
////////////////////////////// info from b3b  and b4 for female 

use "$raw/IFLS2/hh/b3b_ba6",clear
   keep if ba65==1 // children not alive 
    drop if ba70==0  // in the same HH 
    drop if ba66 <15  // children younger than 15 
      
   g year = 1997 

   rename ba90x ba90 
   
  tempfile ba97 
   save `ba97' 
  
// info from b4 
use "$raw/IFLS2/hh/b4_ba6",clear
      keep if ba65==1 // children not alive 
    drop if ba70==0  // in the same HH 
    drop if ba66 <15 // children younger than 15 
    drop *_93 
     g year =1997 

  rename ba90x ba90 
  
   append using `ba97' 
  
  tempfile ba97_b3bb4
   save `ba97_b3bb4' 

// info from ptrack 
 use "$raw/IFLS2/hh/ptrack",clear 
   merge 1:m pidlink using `ba97_b3bb4'  
     keep if ar01a >0 & ar01a<. & age_97>=60 & age_97<=85 
   tab _merge 
   rename _merge ba_status 
    label define ba 1"no ba" 3"ba" 
    label values ba_status ba 
	
// male respondent status 
  merge m:1 pidlink using  "$raw/IFLS2/hh/b3b_ba5"
   drop if _merge==2  
     drop _merge 


   save "$working/sample_ba97",replace



////////////////////////// get information for spouse /////////////////////////
use "$raw/IFLS2/hh/bk_ar1",clear
   drop if ar01a==3
  keep pidlink ar13 ar14  ar16
   merge 1:m pidlink using "$working/sample_ba97"
    drop if _merge==1 
    drop _merge 

save "$working/sample_ba97",replace

use "$raw/IFLS2/hh/bk_ar1",clear
   drop if ar01a==3 
  keep hhid97 pid97 ar09 ar15a-ar17 
    rename ar* ar*_spouse
        rename pid97 ar14

  merge 1:m hhid97 ar14 using "$working/sample_ba97"
    drop if _merge==1 
    drop _merge

   save "$working/sample_ba97",replace
   
 merge m:1 hhid97 using "$raw/IFLS2/hh/htrack"
  drop if _merge==2 
   drop _merge 
   
   rename sc01_97 prov 
   rename sc02_97 kab
   rename sc03_97 kec 
   replace year=1997 if year==.
   
    save "$working/sample_ba97",replace

   /***************************************************************************
   2000 nonreisdent children roster in b3b and b4 
*****************************************************************************/
////////////////////////////// info from b3b  and b4 for female 
use "$raw/IFLS3/hh/b3b_ba6",clear
   keep if ba65==1 // children not alive 
    drop if ba70==0  // in the same HH 
    drop if ba66 <15  // children younger than 15 
      
   g year = 2000 

   rename ba90x ba90 
   
  tempfile ba00 
   save `ba00' 
  
// info from b4 
use "$raw/IFLS3/hh/b4_ba6",clear
      keep if ba65==1 // children not alive 
    drop if ba70==0  // in the same HH 
    drop if ba66 <15 // children younger than 15 

     g year =2000 

  rename ba90x ba90 
  
   append using `ba00' 
  
  tempfile ba00_b3bb4
   save `ba00_b3bb4' 

// info from ptrack 
 use "$raw/IFLS3/hh/ptrack",clear 
   merge 1:m pidlink using `ba00_b3bb4' , force
     keep if ar01a_00 >0 & ar01a_00<. & age_00>=60 & age_00<85 
   tab _merge 
   rename _merge ba_status 
    label define ba 1"no ba" 3"ba" 
    label values ba_status ba 
	
	
// male respondent status 
  merge m:1 pidlink using  "$raw/IFLS3/hh/b3b_ba5"
   drop if _merge==2  
     drop _merge 
	
      
   save "$working/sample_ba00",replace


  

////////////////////////// get information for spouse /////////////////////////
use "$raw/IFLS3/hh/bk_ar1",clear
   keep if ar01a==1 | ar01a==5 
    bys pidlink: drop if _n>1
  keep pidlink ar13 ar14  ar16
   merge 1:m pidlink using "$working/sample_ba00"
    drop if _merge==1 
    drop _merge 

save "$working/sample_ba00",replace

use "$raw/IFLS3/hh/bk_ar1",clear
   drop if ar01a==3 
  keep hhid00 pid00 ar09 ar15a-ar17 
    rename ar* ar*_spouse
        rename pid00 ar14

  merge 1:m hhid00 ar14 using "$working/sample_ba00",force
    drop if _merge==1 
    drop _merge

   save "$working/sample_ba00",replace
   
  use "$raw/IFLS3/hh/htrack",clear 
   drop if hhid00 =="" 
   
   merge 1:m hhid00 using "$working/sample_ba00"
  drop if _merge==1
   drop _merge 
   
   rename sc010000 prov 
   rename sc020000 kab
   rename sc030000 kec 
replace year=2000 if year==.
   
    save "$working/sample_ba00",replace


   
/***************************************************************************
   2007 nonreisdent children roster in b3b and b4 
*****************************************************************************/
////////////////////////////// info from b3b  and b4 for female 
use "$raw/IFLS4/hh/b3b_ba6",clear
   keep if ba65==1 // children not alive 
    drop if ba70==0  // in the same HH 
    drop if ba66 <15  // children younger than 15 
      
   g year = 2007 
   
  tempfile ba07 
   save `ba07' 
  
// info from b4 
use "$raw/IFLS4/hh/b4_ba6",clear
      keep if ba65==1 // children not alive 
    drop if ba70==0  // in the same HH 
    drop if ba66 <15 // children younger than 15 
   
     g year =2007 
  
   append using `ba07' 
  
  tempfile ba07_b3bb4
   save `ba07_b3bb4' 

// info from ptrack 
 use "$raw/IFLS4/hh/ptrack",clear 
   merge 1:m pidlink using `ba07_b3bb4'  
     keep if ar01a_07 >0 & ar01a_07<.   & age_07>=60 & age_07<85 
   tab _merge 
   rename _merge ba_status 
    label define ba 1"no ba" 3"ba" 
    label values ba_status ba 
	
// male respondent status 
merge m:1 pidlink using  "$raw/IFLS4/hh/b3b_ba5"
   drop if _merge==2  
     drop _merge 

   save "$working/sample_ba07",replace


////////////////////////// get information for spouse /////////////////////////
use "$raw/IFLS4/hh/bk_ar1",clear
   keep if ar01a==1 | ar01a==5 |ar01a==2 |ar01a==11
   bys pidlink: drop if _n>1
  keep pidlink ar13 ar14 ar16
   merge 1:m pidlink using "$working/sample_ba07"
    drop if _merge==1 
    drop _merge 

save "$working/sample_ba07",replace

use "$raw/IFLS4/hh/bk_ar1",clear
    keep if ar01a==1 | ar01a==5 |ar01a==2 |ar01a==11
   bys pidlink: drop if _n>1
  keep hhid07 pid07 ar09 ar15a-ar17 
    rename ar* ar*_spouse
        rename pid07 ar14

  merge 1:m hhid07 ar14 using "$working/sample_ba07"
    drop if _merge==1 
    drop _merge

   save "$working/sample_ba07",replace
   
   use "$raw/IFLS4/hh/htrack",clear
    drop if hhid07==""
   merge 1:m hhid07 using "$working/sample_ba07"
  drop if _merge==1
   drop _merge 
   
   rename sc010707 prov 
   rename sc020707 kab
   rename sc030707 kec 
   
   replace year=2007 if year==.
    save "$working/sample_ba07",replace


  /***************************************************************************
   2014 nonreisdent children roster in b3b and b4 
*****************************************************************************/
////////////////////////////// info from b3b  and b4 for female 
use "$raw/IFLS5/hh/b3b_ba6",clear
   keep if ba65==1 // children not alive 
    drop if ba70==0  // in the same HH 
    drop if ba66 <15  // children younger than 15 
      
   g year = 2014 
   
  tempfile ba14 
   save `ba14' 
  
// info from b4 
use "$raw/IFLS5/hh/b4_ba6",clear
      keep if ba65==1 // children not alive 
    drop if ba70==0  // in the same HH 
    drop if ba66 <15 // children younger than 15 
   
     g year =2014 
  
   append using `ba14' 
  
  tempfile ba14_b3bb4
   save `ba14_b3bb4' 

// info from ptrack 
 use "$raw/IFLS5/hh/ptrack",clear 
   bys pidlink: drop if _n>1
   merge 1:m pidlink using `ba14_b3bb4'  
     keep if ar01a_14 >0 & ar01a_14<.   & age_14>=60 & age_14<=85
   tab _merge 
   rename _merge ba_status 
    label define ba 1"no ba" 3"ba" 
    label values ba_status ba 

   save "$working/sample_ba14",replace
    
replace year=2014 if year==. 

save "$working/sample_ba14",replace


// male respondent status 
use  "$raw/IFLS5/hh/b3b_ba4",clear
 keep pidlink ba59 ba61 
 merge 1:m pidlink using "$working/sample_ba14"
   drop if _merge==1
     drop _merge 
	 
	 save "$working/sample_ba14",replace

////////////////////////// get information for spouse /////////////////////////
use "$raw/IFLS5/hh/bk_ar1",clear
   keep if ar01a==1 | ar01a==5 |ar01a==2 |ar01a==11
   bys pidlink: drop if _n>1
  keep pidlink ar13 ar14 ar16
   merge 1:m pidlink using "$working/sample_ba14"
    drop if _merge==1 
    drop _merge 

save "$working/sample_ba14",replace

use "$raw/IFLS5/hh/bk_ar1",clear
    keep if ar01a==1 | ar01a==5 |ar01a==2 |ar01a==11
   bys pidlink: drop if _n>1
  keep hhid14 pid14 ar09 ar15a-ar17 
    rename ar* ar*_spouse
        rename pid14 ar14

  merge 1:m hhid14 ar14 using "$working/sample_ba14"
    drop if _merge==1 
    drop _merge

   save "$working/sample_ba14",replace
   
   use "$raw/IFLS5/hh/htrack",clear
    drop if hhid14==""
	 drop pidlink 
	 merge 1:m hhid14 using "$working/sample_ba14"
	  drop if _merge==1
	   drop _merge 
	   
	   rename sc01_14_14 prov 
	   rename sc02_14_14 kab 
	   rename sc03_14_14 kec 
	   
	replace year=2014 if year==. 
	   save "$working/sample_ba14",replace
 
 
   use "$working/sample_ba14",clear
 append using "$working/sample_ba07" 
 append using "$working/sample_ba97",force
 append using "$working/sample_ba00",force
   
   save "$working/sample_ba_child",replace
   
/***************************
 aggregate 
 ****************************/
use "$working/sample_ba_child",clear
 g hhid=hhid14 if year==2014
  replace hhid=hhid07 if year==2007
  replace hhid=hhid97 if year==1997
  replace hhid=hhid00 if year==2000

  sort pidlink year
     by pidlink year: g n=_n
     by pidlink year: g drop=_N if ba_status==3
   by pidlink year: egen nr_N = mean(drop)
    drop drop 
   sum nr_N  if n==1,d
  tab year if n==1& sex==3, sum(nr_N) 
  
  g pid = pid14 if year==2014
   replace pid = pid07 if year ==2007
   replace pid = pid00 if year ==2000
   replace pid = pid97 if year == 1997
  save "$working/sample_bacouple",replace
  


keep prov kab kec mkid00 mkid07 mkid14 pidlink pid hhid year *spouse ar14 ar13 ar16 sex pwt97x pwt00xa pwt07xa pwt14xa age_* ///
   bth_year ba64 ba66 ba67 ba68 ba80 ba70 ba84 ba84a ba84b ba87a ba88 ba88x ba88e ba88ex ///
  ba90e ba90x ba90ex ba88g1 ba88g2 - ba90v n nr_N  ba_status ba59 ba61

mark son if ba64==1 
mark daughter if ba64==3 

rename ba66 nrch_youngest
recode ba67 (1 3 4 5=1) (2=0) (8 9=.) ,gen(single_ch) 

recode ba68 (1 2 3 4 11 12 14 15 17 72 73 90 10 7 8 9=0) (5 6 13 60 61 62 63 74 =1) (98 95 99=.), gen(nrchedu_h)

recode ba70 (1=1) (2=2) (3=3) (4=4) (5 10/82=5) (6 85/97 101=6) (98 99=.) if year==1997 | year==2000 
 recode ba70 (1=1) (2=2) (3=3) (4=4) (10/94=5) (100/152=6) (998 999 995 =.) if year==2007 | year==2014
  recode ba70 (999=.) 
rename ba70 nrch_closest 
g nrch_farthest = nrch_closest

 recode nrch_closest (1 2=1) ( 3 4 5 6=0),gen(samekec) 
 recode nrch_closest (1 =1) (2 3 4 5 6=0),gen(samedesa) 

recode ba84 (1 2 3=0) (4=1) (5=2) (8 9=.), gen(see) 
recode ba84 (1 2 3 4 =0) (5=1) (8 9=.), gen(seeeveryday) 
recode ba84a (1 2 3=0) (4=1) (5=2) (8 9=.), gen(contact) 
recode ba84b (1 2 3=0) (4=1) (5=2) (8 9=.)
  replace contact = ba84b if ba84b > contact & ba84b <.

  replace ba88 = ba88x if year==2000 | year==1997
  
  // downward transfer 
mark tr_d if strpos( ba88,"A")>0  | strpos(ba88,"D")>0
mark chore_d if strpos(ba88,"G")>0 |strpos(ba88,"E")>0


replace tr_d=1 if (substr(ba88x,1,1)=="1" & year==1997 ) | ( substr(ba88x,2,1) =="1"  & year==1997)
replace chore_d=1 if substr(ba88x,3,1)=="1" & year==1997


rename ba88a amt_money_d 
 replace amt_money_d =. if amt_money_d >=999999990
rename ba88d amt_good_d 
  replace amt_good_d =. if amt_good_d >=999999990
  
  egen amt_d = rowtotal(amt_money_d amt_good_d)

   // upward transfer
mark tr_u if strpos( ba90,"A")>0  |strpos(ba90,"D")>0 
mark chore_u if strpos(ba90,"G")>0  | strpos(ba90,"E")>0

replace tr_u=1 if (substr(ba90,1,1)=="1" & year==1997 ) | (substr(ba90,2,1) =="1"  & year==1997)
replace chore_u=1 if substr(ba90,3,1)=="1" & year==1997


rename ba90a amt_money_u
 replace amt_money_u =. if amt_money_u >=999999990
rename ba90d amt_good_u 
  replace amt_good_u =. if amt_good_u >=999999990
  
  egen amt_u = rowtotal(amt_money_u amt_good_u)
  
  g ntr_up = tr_u 
  g ntr_down = tr_d
  
  
 save "$working/sample_bacouple",replace

/******************************************************
total children ever had 
*********************************************************/
use "$raw/IFLS1/hh/buk3br1",clear
  replace br03 =. if br03>10 
  replace br04=. if br04>10 
  replace br06=. if br06>10  
  replace br07=. if br07>10 

  rename br01 everch
  egen c_N = rowtotal(br03 br04 br06 br07)
  egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 
   replace c_N=. if everch >=3 
replace br15=. if br15>90
  rename br15 c_T
 
keep pidlink c_N  c_T everch  n*
  merge 1:m pidlink using "$working/sample_bacouple"
  drop if _merge==1 
    drop _merge 
 save "$working/sample_bacouple",replace
 
 use "$raw/IFLS1/hh/buk4br1",clear
  replace br03 =. if br03>10 
  replace br04=. if br04>10 
  replace br06=. if br06>10  
  replace br07=. if br07>10 

  rename br01 everch
  egen c_N = rowtotal(br03 br04 br06 br07)
  egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 
   replace c_N=. if everch >=3 
replace br15=. if br15>90
  rename br15 c_T
 
keep pidlink c_N  c_T everch  n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge 
 save "$working/sample_bacouple",replace

 ////////
use "$raw/IFLS2/hh/b3a_br",clear
 egen c_N =rowtotal(br03 br04 br06 br07)
   egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 
  rename br01 everch
 replace c_N=. if everch >=3

  rename br15 c_T
  
keep pidlink c_N  c_T everch n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge	

 save "$working/sample_bacouple",replace
 
use "$raw/IFLS2/hh/b4_br",clear
 egen c_N =rowtotal(br03 br04 br06 br07)
    egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 
  rename br01 everch
 replace c_N=. if everch >=3

  rename br15 c_T
  
keep pidlink c_N  c_T everch n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge	

 save "$working/sample_bacouple",replace

 ////
use "$raw/IFLS3/hh/b3a_br",clear
   egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 
rename br01 everch 

 egen c_N = rowtotal(br03 br04 br06 br07)
  replace c_N=. if everch >=3
  rename br15 c_T
    replace c_T =. if c_T>90
keep pidlink c_N c_T everch n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge 

 save "$working/sample_bacouple",replace
 
 use "$raw/IFLS3/hh/b4_br",clear
    egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 
  rename br01 everch 

 egen c_N = rowtotal(br03 br04 br06 br07)
  replace c_N=. if everch >=3
  rename br15 c_T
    replace c_T =. if c_T>90
keep pidlink c_N c_T everch n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge 

 save "$working/sample_bacouple",replace

 /////// 
use "$raw/IFLS4/hh/b3a_br1",clear
 rename br01 everch
   egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 
  egen c_N = rowtotal(br03 br04 br06 br07)
   replace c_N=. if everch >=3
   rename br15 c_T
     replace c_T =. if c_T>90
keep pidlink c_N c_T everch n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge 	

 save "$working/sample_bacouple",replace
 
 use "$raw/IFLS4/hh/b4_br",clear
 rename br01 everch
    egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 
 
  egen c_N = rowtotal(br03 br04 br06 br07)
   replace c_N=. if everch >=3
   rename br15 c_T
     replace c_T =. if c_T>90
keep pidlink c_N c_T everch n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge 	

 save "$working/sample_bacouple",replace


 /////// 
use "$raw/IFLS5/hh/b3a_br1",clear
 rename br01 everch 
   egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 

   egen c_N = rowtotal(br03 br04 br06 br07)
    replace c_N=. if everch >=3
  rename br15 c_T
    replace c_T =. if c_T>90
keep pidlink c_N c_T everch  n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge 
	
 save "$working/sample_bacouple",replace
 
 use "$raw/IFLS5/hh/b4_br",clear
 rename br01 everch 
   egen ncores = rowtotal(br03 br04) 
  egen nncore = rowtotal(br06 br07) 

   egen c_N = rowtotal(br03 br04 br06 br07)
    replace c_N=. if everch >=3
  rename br15 c_T
    replace c_T =. if c_T>90
keep pidlink c_N c_T everch  n*
  merge 1:m pidlink using "$working/sample_bacouple",update
  drop if _merge==1 
    drop _merge 
	
 save "$working/sample_bacouple",replace

/**********************************************************/
g age = age_97 if year==1997 
 replace age = age_00 if year==2000
 replace age = age_07 if year==2007
 replace age = age_14 if year==2014

g pwtx = pwt97x if year==1997
 replace pwtx = pwt00xa if year==2000
 replace pwtx = pwt07xa if year==2007
 replace pwtx = pwt14xa if year==2014

save "$working/sample_bacouple",replace


/******************* construct coresidence ***********************************/
 ////////////// construct coresidence status from roster for 1997 
use "$raw/IFLS2/hh/ptrack",clear 
   mark cores_bk  if ar02_97 ==6 | ar02_97==7
    mark hhch if (ar02_97 ==3 | ar02_97 == 5 | ar02_97==4 ) & (ar01a_97==1 | ar01a_97==5)
    bysort hhid97: egen hhch_n =total(hhch) 
       replace cores_bk =1 if hhch_n>0 & hhch_n<. & (ar02_97==1 | ar02_97==2) 

    bys pidlink: drop if _n>1
      keep pidlink hhid97 cores_bk
	  rename hhid97 hhid
      g year=1997
	  
	  collapse (max)cores_bk ,by(hhid year)

    merge 1:m hhid year using "$working/sample_bacouple"
      drop if _merge==1 
      drop _merge

     tab cores_bk if year==1997 
  
    save "$working/sample_bacouple",replace  

use "$raw/IFLS3/hh/ptrack",clear 
   mark cores_bk  if ar02b_00 ==6 | ar02b_00==7
    mark hhch if (ar02b_00 ==3 | ar02b_00 == 5 | ar02b_00==4) & (ar01a_00==1 | ar01a_00==5)
    bysort hhid97: egen hhch_n =total(hhch) 
       replace cores_bk =1 if hhch_n>0 & hhch_n<. & (ar02b_00==1 | ar02b_00==2) 

    bys pidlink: drop if _n>1
      keep pidlink cores_bk hhid00
	  rename hhid00 hhid 
      g year=2000
	  
	  collapse (max)cores_bk, by(hhid year) 

    merge 1:m hhid year using "$working/sample_bacouple"
      drop if _merge==1 
      drop _merge

     tab cores_bk if year==2000,mis
  
    save "$working/sample_bacouple",replace  

  
use "$raw/IFLS4/hh/ptrack",clear 
   mark cores_bk  if ar02_07 ==6 | ar02_07==7
    mark hhch if (ar02_07 ==3 | ar02_07 == 5| ar02_97==4 ) & (ar01a_07==1 | ar01a_07==2 | ar01a_07==5)
    bysort hhid07: egen hhch_n =total(hhch) 
       replace cores_bk =1 if hhch_n>0 & hhch_n<. & (ar02_07==1 | ar02_07==2) 

    bys pidlink: drop if _n>1
      keep pidlink cores_bk hhid07 
	  rename hhid07 hhid 
      g year=2007
	  
	  collapse (max)cores_bk, by(hhid year) 

    merge 1:m hhid year using "$working/sample_bacouple"
      drop if _merge==1 
      drop _merge
tab cores_bk if year==2007,mis

    save "$working/sample_bacouple",replace  


use "$raw/IFLS5/hh/ptrack",clear 
   mark cores_bk  if ar02_14 ==6 | ar02_14==7
    mark hhch if (ar02_14 ==3 | ar02_14 == 5| ar02_14==4 ) & (ar01a_14==1 | ar01a_14==2 | ar01a_14==5 |ar01a_14==11 ) 
    bysort hhid14: egen hhch_n =total(hhch) 
       replace cores_bk=1 if hhch_n>0 & hhch_n<. & (ar02_14==1 | ar02_14==2) 

    bys pidlink: drop if _n>1
      keep pidlink cores_bk hhid14 
      g year=2014
	  rename hhid14 hhid 
	  collapse (max)cores_bk, by(hhid year) 

    merge 1:m hhid year using "$working/sample_bacouple"
      drop if _merge==1 
      drop _merge

	   tab cores_bk if year==2014,mis
    save "$working/sample_bacouple",replace  
	
	 g seealleveryday =seeeveryday
 collapse  (mean)ncores (mean)nncore (mean)ar15a_spouse (max)ba_status (mean)pid (mean)ar14 ///
  (mean)ar15bx_spouse (mean)ar15c_spouse (mean)ar16_spouse ///
   (mean)ar17_spouse (mean)ar09_spouse (mean)ar13 (mean)ar16 (mean)sex (mean)age_00 ///
   (mean)age_97 (mean)age_07 (mean)age_14 (mean)pwt00xa (mean)pwt07xa (mean)pwt14xa ///
   (mean)pwt97x (mean)bth_year (sum)son (sum)daughter (min)nrch_youngest (sum)single_ch ///
   (max)nrchedu_h (sum)samedesa (sum)samekec (min)nrch_closest (max)nrch_farthest (max)see (max)seeeveryday (sum)seealleveryday (max)contact  ///
   (max)tr_d (max)chore_d   (sum)amt_money_d (sum)amt_d (sum)amt_u ///
   (sum)amt_good_d  (max)tr_u (max)chore_u (sum)ntr_up (sum)ntr_down ///
(sum)amt_money_u (sum)amt_good_u  (mean)n (mean)ar15b_spouse ///
   (max)ar00c_spouse (max)nr_N (max)prov (max)kab (max)kec ///
(max)c_N (max)c_T (max)everch (mean)cores_bk (mean)pwtx (max)ba59 (max)ba61 , by(pidlink year hhid)

   save "$working/sample_bacouple",replace
/***********************************************************
3 subsamples, a. female,married (add up BA information reported by husband) 
              b. female, not currently married (use BA directly) 
			  c. male, not living with wife (use BA directly) 
************************************************************/
// a. female, married
use "$working/sample_bacouple",clear
 keep if sex==3 & (ar13==2 |ar13==6)  // female, married or cohabitated 
  drop if ar14==.
   bys year hhid ar14: drop if _n>1
     tempfile a
	 save `a' 
use "$working/sample_bacouple",clear 
 keep pid hhid year nr_N contact see seeeveryday nrch_closest nrch_farthest tr_d chore_d tr_u chore_u ///
   amt_d amt_u 
 
  foreach v of varlist nrch_closest-nr_N {
    rename `v' `v'sp
	}

 rename pid ar14
 
 drop if ar14==.
   merge 1:1 year hhid ar14 using `a' 
    drop if _merge==1 
	 drop _merge
	
  foreach v of varlist nr_N contact see seeeveryday nrch_farthest tr_d chore_d tr_u chore_u {
   egen `v'2 = rowmax(`v' `v'sp) 
    drop `v' `v'sp 
	rename `v'2 `v' 
   }
   
  egen nrch_closest2 = rowmin(nrch_closest nrch_closestsp) 
   drop nrch_closest nrch_closestsp 
    rename nrch_closest2 nrch_closest 
	
	foreach v of varlist  amt_d amt_u  {
	 egen `v'2 = rowtotal(`v' `v'sp) 
	  drop `v' `v'sp
	  rename `v'2 `v'
	  }
   
  g type =1 
	tempfile a
	save `a' 
	
// b. female, not currently married 
use "$working/sample_bacouple",clear
 keep if sex==3 & (ar13==1 |ar13==3 |ar13==4 | ar13==5) 
  g type =2 
  tempfile b
  save `b' 
  
// c. men with own BA 
 use "$working/sample_bacouple",clear 
  keep if sex==1 & (ba59==3 & ba61==1) // not living with wife, have nonresident children 
   g type =3 
   
   

  append using `b' 
  append using `a' 
  
  label define type 1"married female" 2"unmarried (including widowed) female" 3"men not living with wife" 
    label values type type 
	
	tab year type,row
  

  save "$working/sample_bacouple",replace
  
   
/********************************************************
 kinship network characteristics  // results in excel file "descriptives_04172019"
*********************************************************/
use "$working/cellsig",clear
    recode signal (0 1 =0) (  2=1),gen(sig)
    keep if year==2006 | year==2014
    replace year=2007 if year==2006
 
 collapse (mean)sig, by(prov kab kec year)
   tab year, sum(sig)
   xtile sig_q =sig, n(4) 
   tab year sig_q, row
   tab sig_q, sum(sig)
   
 merge 1:m prov kab kec year using "$working/sample_bacouple"
  drop if _merge==1
   drop _merge
  
	  save "$working/sample_bacouple",replace

  
 /*// for those not merged on kec, merge on kac
 
 use "$working/cellsig",clear
    recode signal (0 1=0) ( 2=1),gen(sig)
    keep if year==2006 | year==2014
    replace year=2007 if year==2006
 
 collapse (mean)sig, by(prov kab  year)
   tab year, sum(sig)
    xtile sig_q =sig, n(4)  
	tab sig_q, sum(sig)
 
merge 1:m prov kab year using "$working/sample_bacouple",update
 drop if _merge==1 
  drop _merge 
 
   save "$working/sample_bacouple",replace  */ 
   

// distance 

   replace amt_u = amt_u * 5.7 if year ==1997 
   replace amt_u = amt_u * 2.8 if year==2000 
   replace amt_u = amt_u * 1.5 if year ==2007 
   
    replace amt_d = amt_d * 5.7 if year ==1997 
   replace amt_d = amt_d * 2.8 if year==2000 
   replace amt_d = amt_d * 1.5 if year ==2007 
 // inflation adjustment from https://www.inflationtool.com/indonesian-rupiah?amount=100&year1=2007&year2=201


 save "$working/sample_bacouple",replace



/*******************************************************************************
education  recode 
*******************************************************************************/
 use "$working/sample_bacouple",clear
/// respondents' education 
 recode ar16 (1 2 =0) (3 4 5 6 13 60 61 62 63 74 11 12 14 15 17 72 73 90 10 7 8 9=1) (98 95 99=.) ,gen(edu)
  label define edu 0"< jr.high" 1">= jr.high" 
   label values edu edu 

  recode ar16_spouse (1 2=0) (5 6 13 60 61 62 63 74 3 4 11 12 14 15 17 72 73 90 10 7 8 9 =1) (98 95 99=.),gen(edu_sp)
   label values edu_sp edu 

  label values nrchedu_h edu 
    replace nrchedu_h = 0 if nrchedu_h==70

  save "$working/sample_bacouple",replace


   
 /*******************************************************************************
elders' resources 
*******************************************************************************/
use "$raw/IFLS2/hh/b2_hr1",clear
 collapse (sum)hr02, by(hhid97) 
   g year=1997 
   rename hhid97 hhid
 merge 1:m hhid year using "$working/sample_bacouple"
   drop if _merge==1 
    drop _merge 

  save "$working/sample_bacouple",replace

use "$raw/IFLS3/hh/b2_hr1",clear
 collapse (sum)hr02, by(hhid00) 
   g year=2000
   rename hhid00 hhid
 merge 1:m hhid year using "$working/sample_bacouple"
   drop if _merge==1 
    drop _merge 

  save "$working/sample_bacouple",replace

use "$raw/IFLS4/hh/b2_hr1",clear
  replace hr02 =. if hr02>999999990
 collapse (sum)hr02, by(hhid07) 
   g year=2007
   rename hhid07 hhid
 merge 1:m hhid year using "$working/sample_bacouple"
   drop if _merge==1 
    drop _merge 

  save "$working/sample_bacouple",replace

use "$raw/IFLS5/hh/b2_hr1",clear
  egen  hr02 = rowtotal(hr02x_f - hr02_j) 
   keep hhid14 hr02
    rename hhid14 hhid 

  collapse (sum)hr02,by(hhid)
     g year=2014
   merge 1:m hhid year using "$working/sample_bacouple" 
    drop if _merge==1 
     drop _merge 
  save "$working/sample_bacouple",replace

 /*******************************************************************************
elders' marital status 
*******************************************************************************/
  recode ar13 (1 3 4 5 =0) (2 6=1), gen(marst)
save "$working/sample_bacouple",replace


 /*******************************************************************************
elders' health 
*******************************************************************************/
  use "$raw/IFLS2/hh/b3b_kk",clear
   keep pidlink kk01 
    g year=1997
	tempfile h97
		save `h97'
   
  use "$raw/IFLS3/hh/b3b_kk",clear
    keep pidlink kk01
	g year=2000
	tempfile h00
	save `h00' 
	
  use "$raw/IFLS4/hh/b3b_kk1",clear
    keep pidlink kk01
	g year=2007
	tempfile h07
	save `h07'
	
  use "$raw/IFLS5/hh/b3b_kk1",clear
    keep pidlink kk01
	g year=2014
	
	
	append using `h97' 
	append using `h00' 
	append using `h07' 
 
  
  merge 1:1 pidlink year using "$working/sample_bacouple"
   drop if _merge==1
    drop _merge
	
	save "$working/sample_bacouple",replace
/*******************************************************************************
  community characteristics 
********************************************************************************/
// get individuals' community id 
use "$raw/IFLS2/hh/htrack",clear
   keep hhid97 commid97
     drop if hhid97==""
      rename *97 * 
      g year=1997
 merge 1:m hhid year using "$working/sample_bacouple"
    drop if _merge==1 
     drop _merge 
  save "$working/sample_bacouple",replace

use "$raw/IFLS3/hh/htrack",clear
   keep hhid00 commid00 mkid00 
     drop if hhid00==""
      rename *00 * 
      g year=2000
 merge 1:m hhid year using "$working/sample_bacouple"
    drop if _merge==1 
     drop _merge 
  save "$working/sample_bacouple",replace

use "$raw/IFLS4/hh/htrack",clear
   keep hhid07 commid07 mkid07 
     drop if hhid07==""
      rename *07 * 
      g year=2007
 merge 1:m hhid year using "$working/sample_bacouple"
    drop if _merge==1 
     drop _merge 
  save "$working/sample_bacouple",replace

use "$raw/IFLS5/hh/htrack",clear
   keep hhid14 commid14 mkid14
     drop if hhid14==""
      rename *14 * 
      g year=2014
 merge 1:m hhid year using "$working/sample_bacouple"
    drop if _merge==1 
     drop _merge 
  save "$working/sample_bacouple",replace


  // community characteristics 

//1997 
  // transportation 
 use "$raw/IFLS2/cf/bk1_a",clear
 drop if atype =="F" | atype =="G" 
    recode a0 (1=1) (3 9=0) 
    collapse (sum)a0, by(commid97)
       tempfile trans
         save `trans'
  // school 
   use "$raw/IFLS2/cf/bk1_i",clear
   keep if itype=="C" 
     collapse (sum)i13 ,by(commid97) 
   merge 1:1 commid97 using `trans' 
    drop _merge 

    rename commid97 commid 
      g year=1997 
  rename a0 comm_trans
  rename i13 comm_schl
  merge 1:m commid year using "$working/sample_bacouple"
   drop if _merge==1 
    drop _merge 
  save "$working/sample_bacouple",replace

//2000
  // transportation 
 use "$raw/IFLS3/cf/bk1_a",clear
  drop if atype =="F" | atype =="G" 
    recode a0 (1=1) (3 9=0) 
    collapse (sum)a0, by(commid00)
       tempfile trans
         save `trans'
  // school 
   use "$raw/IFLS3/cf/bk1_i",clear
   keep if itype=="C" 
     collapse (sum)i13 ,by(commid00) 
   merge 1:1 commid00 using `trans' 
    drop _merge 

    rename commid00 commid 
      g year=2000
  rename a0 comm_trans
  rename i13 comm_schl
  merge 1:m commid year using "$working/sample_bacouple"
   drop if _merge==1 
    drop _merge 
  save "$working/sample_bacouple",replace


//2007
  // transportation 
 use "$raw/IFLS4/cf/bk1_a",clear
  drop if atype =="F" | atype =="G" 
    recode a0 (1=1) (3 9=0) 
    collapse (sum)a0, by(commid07)
       tempfile trans
         save `trans'
  // school 
   use "$raw/IFLS4/cf/bk1_i",clear
 keep if itype=="C" 
     collapse (sum)i13 ,by(commid07) 
   merge 1:1 commid07 using `trans' 
    drop _merge 

    rename commid07 commid 
      g year=2007
  rename a0 comm_trans
  rename i13 comm_schl
  merge 1:m commid year using "$working/sample_bacouple"
   drop if _merge==1 
    drop _merge 
  save "$working/sample_bacouple",replace
   
//2014
  // transportation 

 use "$raw/IFLS5/cf/bk1_a1",clear
  drop if atype =="F" | atype =="G" 
    recode a0 (1=1) (3 9=0) 
    collapse (sum)a0, by(commid14)
       tempfile trans
         save `trans'
  // school 
   use "$raw/IFLS5/cf/bk1",clear
 
  keep commid14  i13_c 
 
     collapse (sum)i13_c ,by(commid14) 
   rename i13_c comm_schl
   merge 1:1 commid14 using `trans' 
    drop _merge 

    rename commid14 commid 
      g year=2014
  rename a0 comm_trans
  merge 1:m commid year using "$working/sample_bacouple"
   drop if _merge==1 
    drop _merge 
  save "$working/sample_bacouple",replace
  



use "$raw/IFLS2/cf/bk2",clear
 keep commid97 s32 s34 s40a s40b s40c  s19 lk05 
   mark comm_farm if s40a==1 | s40b==1 | s40c==1 
   mark comm_ind if (s40a>1 & s40a<=5) | (s40b>1 & s40b<=5) |(s40c>1 & s40c<=5)
   mark comm_service if (s40a>=7 & s40a<=9) | (s40b>=7 & s40b<=9) |(s40c>=7 & s40c<=9)
  rename s32 comm_hh 
  rename s34 comm_col
  recode s19 (1=1) (3=0), gen(slum) 
  recode lk05 (1=1) (2=0), gen(urban)

rename commid97 commid 
 g year = 1997


 merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace
 
use "$raw/IFLS2/cf/bk1",clear 
  keep commid97 c1_1a c17a c19a j11 j20  b1a a8 
   recode c1_1a (1=1) (3=0), gen(piped) 
   recode c17a (1=1) (3=0) (9=0), gen(toilet) 
   recode c19a (1=1) (3=0), gen(garbage) 
   g healthpost = j11 
    replace healthpost = 0 if healthpost ==. 
   recode j20 (1=1) (3=0) (9=0), gen(medicine) 
     rename b1a electricity 
	 sum electricity,d
	 	 replace electricity =r(mean) if electricity==.
   recode a8 (1=1) (2 3 4 5 9=0), gen(asphalt)
  rename commid97 commid 
   g year = 1997 
   
   merge 1:m commid year using "$working/sample_bacouple"
    drop if _merge ==1 
	 drop _merge 
 save "$working/sample_bacouple",replace
 
 
use "$raw/IFLS3/cf/bk2",clear
 keep commid00 s32 s34 s40a s40b s40c s19 lk05
   mark comm_farm if s40a==1 | s40b==1 | s40c==1 
   mark comm_ind if (s40a>1 & s40a<=5) | (s40b>1 & s40b<=5) |(s40c>1 & s40c<=5)
   mark comm_service if (s40a>=7 & s40a<=9) | (s40b>=7 & s40b<=9) |(s40c>=7 & s40c<=9)
  rename s32 comm_hh 
  rename s34 comm_col
  recode s19 (1=1) (3=0), gen(slum) 
  recode lk05 (1=1) (2=0), gen(urban) 
    

rename commid00 commid 
 g year = 2000


 merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace
 
use "$raw/IFLS3/cf/bk1",clear 
 keep commid00 c1_1a c17a c19a j11 j20 b1a a8 
  recode c1_1a (1=1) (3=0) (.=0), gen(piped) 
  recode c17a (1=1) (3=0) (9=0), gen(toilet) 
   recode c19a (1=1) (3=0) (9=0) , gen(garbage) 
   rename b1a electricity 
    	 sum electricity,d
	 	 replace electricity =r(mean) if electricity==.
   g healthpost = j11 
    replace healthpost = 0 if healthpost ==. 
   recode j20 (1=1) (3=0) (9=0), gen(medicine) 
   recode a8 (1=1) (2/max=0), gen(asphalt)
   
   rename commid00 commid 
   g year = 2000
   
  merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace
 

use "$raw/IFLS4/cf/bk2",clear 
 keep commid07 s32  s40a s40b s40c s19 lk05
   mark comm_farm if s40a==1 | s40b==1 | s40c==1 
   mark comm_ind if (s40a>1 & s40a<=5) | (s40b>1 & s40b<=5) |(s40c>1 & s40c<=5)
   mark comm_service if (s40a>=7 & s40a<=9) | (s40b>=7 & s40b<=9) |(s40c>=7 & s40c<=9)
  rename s32 comm_hh 
  recode s19 (1=1) (3=0), gen(slum) 
  recode lk05 (1=1) (2=0), gen(urban) 
  
rename commid07 commid 
 g year = 2007

bys commid: drop if _n>1
 

 merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace
 
 use "$raw/IFLS4/cf/bk1",clear
 keep commid07 c1_1a c17_1 c19a j11 j20 b1a a8 
  recode c1_1a (1=1) (3=0) (.=0), gen(piped) 
    recode c17_1 (1=1) (3=0) (9=0), gen(toilet) 
   recode c19a (1=1) (2/95=0) , gen(garbage) 
     rename b1a electricity 
	  sum electricity,d
	 	 replace electricity =r(mean) if electricity==. 
   g healthpost = j11 
    replace healthpost = 0 if healthpost ==. 
   recode j20 (1=1) (3=0) (9=0), gen(medicine) 
   recode a8 (1=1) (2/max=0), gen(asphalt)
   
   rename commid07 commid 
   g year = 2007
   
   bys commid: drop if _n >1
  merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace
 

use "$raw/IFLS5/cf/bk2",clear
 keep commid14 s32  s40a s40b s40c s19 lk05
   mark comm_farm if s40a==1 | s40b==1 | s40c==1 
   mark comm_ind if (s40a>1 & s40a<=5) | (s40b>1 & s40b<=5) |(s40c>1 & s40c<=5)
   mark comm_service if (s40a>=7 & s40a<=9) | (s40b>=7 & s40b<=9) |(s40c>=7 & s40c<=9)
  rename s32 comm_hh 
  recode s19 (1=1) (3=0), gen(slum) 
  recode lk05 (1=1) (2=0), gen(urban) 
rename commid14 commid 
 g year = 2014

bys commid: drop if _n>1


 merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace
 
 use "$raw/IFLS5/cf/bk1",clear 
  keep commid14 c2 c19a j11 j20 b1a a8 
  g piped = 1 if c2 =="1A" 
   replace piped = 0 if piped ==. 
  g toilet =1 
   recode c19a (1=1) (2/95=0) , gen(garbage) 
     rename b1a electricity 
	 sum electricity,d
	 replace electricity =r(mean) if electricity==8 | electricity==. 
   g healthpost = j11 
    replace healthpost = 0 if healthpost ==. 
   recode j20 (1=1) (3=0) (9=0), gen(medicine) 
   
   recode a8 (1=1) (2/max=0), gen(asphalt)
   
   rename commid14 commid 
   g year = 2014
   
   bys commid: drop if _n >1
  merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace
 

// observation index 
use "$raw/IFLS2/cf/bk2",clear
  keep commid ol1 - ol9
 recode ol1 ol2 ol3 ol4 ol5 ol6 ol9  (1=0) (3=1) (9=.) 
 recode ol7 ol8 (1=1) (3=0) (9=.) 
  egen comm_ob = rowtotal(ol1 -ol9) 
  keep comm* 
  rename commid97 commid 
   g year=1997
merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace

use "$raw/IFLS3/cf/bk2",clear
  keep commid ol1_1 - ol1_9 
 recode ol1_1 ol1_2 ol1_3 ol1_4 ol1_5 ol1_6 ol1_9  (1=0) (3=1) (9=.) 
 recode ol1_7 ol1_8  (1=1) (3=0) (9=.) 
  egen comm_ob = rowtotal(ol1_1 -ol1_9) 
  keep comm* 
  rename commid00 commid 
   g year=2000

merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace

use "$raw/IFLS4/cf/bk2",clear
 keep commid ol1 - ol9
 recode ol1 ol2 ol3 ol4 ol5 ol6 ol9  (1=0) (3=1) (9=.) 
 recode ol7 ol8 (1=1) (3=0) (9=.) 
  egen comm_ob = rowtotal(ol1 -ol9) 
  keep comm* 
  rename commid07 commid 
   g year=2007
 
 bys commid: drop if _n>1
merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace

use "$raw/IFLS5/cf/bk2",clear
 keep commid ol1 - ol9
 recode ol1 ol2 ol3 ol4 ol5 ol6 ol9  (1=0) (3=1) (9=.) 
 recode ol7 ol8 (1=1) (3=0) (9=.) 
  egen comm_ob = rowtotal(ol1 -ol9) 
  keep comm* 
  rename commid14 commid 
   g year=2014

bys commid: drop if _n>1
merge 1:m commid year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge 
 save "$working/sample_bacouple",replace
 
 
 
 
/*******************************************************************************
 telecom consumption and cell phone 
********************************************************************************/
use "$raw/IFLS4/hh/b1_ks2",clear
  replace ks06=0 if ks06>=99999990
  bys hhid07: egen hhcons = sum(ks06)
  
   g telcons = ks06 if ks2type =="A4" 
   
  keep hhid07 telcons hhcons 
  bys hhid07: egen telcons2 = mean(telcons) 
   replace telcons = telcons2 
    drop telcons2 
  bys hhid07: drop if _n >1
   replace telcons = 0 if telcons==. 
   rename hhid07 hhid
 
	 g year=2007 
	 
	 merge 1:m hhid year using "$working/sample_bacouple",update
	 drop if _merge==1
	   drop _merge
	   
	   save "$working/sample_bacouple",replace
	   
use "$raw/IFLS5/hh/b1_ks2",clear
  replace ks06=0 if ks06>=99999990
  bys hhid14: egen hhcons = sum(ks06)
  
   g telcons = ks06 if ks2type =="A4" 
   
  keep hhid14 telcons hhcons 
    bys hhid14: egen telcons2 = mean(telcons) 
   replace telcons = telcons2 
    drop telcons2 
  bys hhid14: drop if _n >1
   replace telcons = 0 if telcons==. 
   rename hhid14 hhid
 
	 g year=2014 
	 
	 merge 1:m hhid year using "$working/sample_bacouple",update
	 drop if _merge==1
	   drop _merge
	   
	   save "$working/sample_bacouple",replace


use "$raw/IFLS5/hh/b3a_dl1",clear
 keep pidlink dl03b
  tab dl03b
  recode dl03b (1=1) (3=0) (8=.),gen(cell)

keep pidlink cell 
 g year=2014

merge 1:1 pidlink year using "$working/sample_bacouple"
  drop if _merge==1 
   drop _merge

 save "$working/sample_bacouple",replace

//if their spouse have cell phone? 
 use "$raw/IFLS5/hh/bk_ar1",clear
   drop if ar01a==0 | ar01a==3 
  bys pidlink: drop if _n>1

  keep pidlink ar14 
   rename ar14 pid14_spouse
 g year=2014
   merge 1:1 pidlink year using "$working/sample_bacouple"
    drop if _merge==1
     drop _merge
  save "$working/sample_bacouple",replace
  
use "$raw/IFLS5/hh/b3a_dl1",clear
 keep hhid14 pid14 dl03b
  tab dl03b
  recode dl03b (1=1) (3=0) (8=.),gen(cell_spouse)

rename hhid14 hhid
rename pid14 pid14_spouse
 g year=2014
 keep year pid14_spouse hhid cell_spouse

 merge 1:m hhid pid14_spouse year using "$working/sample_bacouple"
  drop if _merge==1
   drop _merge

mark cell_couple if cell==1 | cell_spouse==1 
 replace cell_couple=. if cell==. & cell_spouse==.
 replace cell_couple=. if year <2014
  save "$working/sample_bacouple",replace

//someone in the HH has a cell phone? 
use "$raw/IFLS5/hh/b3a_dl1",clear
 keep hhid14 pid14 dl03b
  tab dl03b
  recode dl03b (1=1) (3=0) (8=.),gen(cell_hh)

 collapse (max)cell_hh, by(hhid14)
 rename hhid14 hhid
  g year =2014

merge 1:m hhid year using "$working/sample_bacouple"
  drop if _merge==1 
  drop _merge

  
 save "$working/sample_bacouple",replace


/*******************************************************************************
 health 
********************************************************************************/
use "$raw/IFLS2/hh/bus_1",clear
 keep if us00==1
 recode us14 (1 2 3=1) (4 5 6 7 8 9=0),gen(poorhealth)
  keep pidlink poorhealth
    
   g year=1997
  merge 1:1 pidlink year using "$working/sample_bacouple"
   drop if _merge==1 
   drop _merge 

   save "$working/sample_bacouple",replace

use "$raw/IFLS3/hh/bus2_1",clear
 keep if us00==1
  bys pidlink: drop if _n>1
 recode us14 (1 2 3=1) (4 5 6 7 8 9=0),gen(poorhealth)
  keep pidlink poorhealth
    
   g year=2000
  merge 1:1 pidlink year using "$working/sample_bacouple"
   drop if _merge==1 
   drop _merge 

   save "$working/sample_bacouple",replace

use "$raw/IFLS4/hh/bus2_3",clear
  drop if us214==.
 recode us214 (1 2 3=1) (4 5 6 7 8 9=0),gen(poorhealth)
  keep pidlink poorhealth

    bys pidlink: drop if _n>1
    
   g year=2007
  merge 1:1 pidlink year using "$working/sample_bacouple"
   drop if _merge==1 
   drop _merge 

   save "$working/sample_bacouple",replace


use "$raw/IFLS5/hh/bus_us",clear
 tab us14
 drop if us14==.
 keep pidlink us14 

recode us14 (1 2 3=1) (4 5 6 7 8 9=0),gen(poorhealth)
    
   g year=2014
  merge 1:1 pidlink year using "$working/sample_bacouple"
   drop if _merge==1 
   drop _merge 

   save "$working/sample_bacouple",replace

   
 
 /*******************************************************************************
  district consumption
********************************************************************************/
use "$raw/IFLS2/hh/b1_ks2",clear
  collapse (sum)ks06, by(hhid97)
    rename hhid97 hhid
	 g year=1997
	 
	 merge 1:m hhid year using "$working/sample_bacouple"
	 drop if _merge==1
	  drop _merge
	  
	  save "$working/sample_bacouple",replace
	  
use "$raw/IFLS3/hh/b1_ks2",clear
  collapse (sum)ks06, by(hhid00)
    rename hhid00 hhid
	 g year=2000
	 
	 merge 1:m hhid year using "$working/sample_bacouple"
	 drop if _merge==1
	  drop _merge
	  
	  save "$working/sample_bacouple",replace
	  
use "$raw/IFLS4/hh/b1_ks2",clear
 replace ks06=. if ks06 >99999990
  collapse (sum)ks06, by(hhid07)
    rename hhid07 hhid
	 g year=2007
	 
	 merge 1:m hhid year using "$working/sample_bacouple"
	 drop if _merge==1
	  drop _merge
	  
	  save "$working/sample_bacouple",replace
	  
use "$raw/IFLS5/hh/b1_ks2",clear
replace ks06=. if ks06 >99999990
  collapse (sum)ks06, by(hhid14)
    rename hhid14 hhid
	 g year=2014
	 
	 merge 1:m hhid year using "$working/sample_bacouple"
	 drop if _merge==1
	  drop _merge
	 
	  
	  
	  bys prov kab kec year: egen kec_ks =mean(ks06)
	  bys prov kab year: egen kab_ks = mean(ks06) 
	  	  save "$working/sample_bacouple",replace
	  
	 
 /*******************************************************************************
  cognitive
********************************************************************************/

use "$raw/IFLS4/hh/b3b_co2",clear

 recode co07_* (1=1) (3 =0) (6 7 9 =.) 

 egen cog07 = rowtotal(co07_*)
 replace cog07=. if cog07==0 & strpos(x96,"TIDAK")==0 
 
keep hhid07 pid07 pidlink cog07 
    tempfile cog07 
	save `cog07'

use "$raw/IFLS4/hh/b3b_co3",clear
 recode co10_* (1=1) (3 =0) (6 7 9 =.) 

 egen cogdl_07 = rowtotal(co10_*)
 replace cogdl_07=. if cogdl_07==0 & strpos(x962,"TIDAK")==0 
 
keep hhid07 pid07 pidlink cogdl_07

   merge 1:1 pidlink using `cog07' 
   
   keep if _merge==3
   drop _merge
   
   g cog = cog07 + cogdl_07
   
   keep cog pidlink
   g year = 2007
   
   merge 1:1 pidlink year using "$working/sample_bacouple"
    drop if _merge==1
	 drop _merge 
	 save "$working/sample_bacouple",replace

use "$raw/IFLS5/hh/b3b_co1",clear
tab co02 
tab co04 
tab co07count 
tab co10count

rename co02 date14
 recode date14 (1=3) (2=2) (3=1) (5 6=0) 
rename co04 day14
rename co07count cog14
rename co10count cogdl_14 

g cog = cog14 + cogdl_14
 keep cog pidlink 
   g year = 2014
   
   merge 1:1 pidlink year using "$working/sample_bacouple"
   
   drop if _merge==1
    drop _merge
	 save "$working/sample_bacouple",replace
	 
	 
	 g age = age_97 if year==1997
	  replace age = age_00 if year==2000
	  replace age = age_07 if year==2007
	  replace age = age_14 if year==2014
	  
	  mark elect if electricity ==100
save "$working/sample_bacouple",replace

/*********** household consumption data ********************************/
use "$raw/IFLS_consump/pce97",clear 
  rename hhid97 hhid 
   merge 1:m hhid  using "$working/sample_bacouple"
    drop if _merge ==1 
	 drop _merge 
	 
	 save "$working/sample_bacouple",replace
   
use "$raw/IFLS_consump/pce00",clear 
 rename hhid00 hhid 
  merge 1:m hhid  using "$working/sample_bacouple" ,update
    drop if _merge ==1 
	 drop _merge 
	  
	 save "$working/sample_bacouple",replace
	 
use "$raw/IFLS_consump/pce07nom",clear 
 rename hhid07 hhid 
  keep hhid hhsize   hhexp 
   rename hhexp rtotal 
    merge 1:m hhid using "$working/sample_bacouple", update
	 drop if _merge ==1 
	 drop _merge 
 
 save "$working/sample_bacouple",replace
 
   g pcepc = rtotal/hhsize
   xtile pcepc_q = pcepc, n(3)
   
   save "$working/sample_bacouple",replace
   
 
 /********* to generate the final analytic sample *************************/
 tostring prov, replace
tostring kab, replace
tostring kec, replace 

g provkabkec = prov + kab + kec
 destring provkabkec, replace
	  xtset provkabkec
	 
	destring prov, replace
 
    recode nrch_farthest (1 2 3  =0) ( 4 5 6=1) ,gen(far)
	 recode nrch_closest (1  =1) ( 2 3 4 5 6=0) ,gen(close)
     recode telcons (0=0) (0/max=1), gen(telcons_d)
	 

	   
	   
	   rename sig_q sig_4q
	   recode sig_4q (1 2 3=0) ( 4=1) ,gen(sig_q)
	   recode sig_4q (1 =0) (2 3 4=1), gen(sig_q2) 
	   

	   replace sig_q = 0 if year ==1997 | year ==2000
	   
su amt_d if tr_d ==1 ,d
  g amt_dp99 = r(p99)
  g amt_dp95 = r(p95)
  
  g amt_d2 = amt_d
  replace amt_d2 = 0 if tr_d==0 
  g lntr_down2 = ln(amt_d2+1)
  
  
su amt_u if tr_u ==1,d
  g amt_up99 =r(p99)
  g amt_u2 = amt_u
  replace amt_u2 = 0 if tr_u==0 
  g lntr_up2 = ln(amt_u2+1)
  
  
  mark seealleveryday2 if seealleveryday == nr_N
  recode contact (0=0) (1 2=1) ,gen(contact2) 
 replace contact2 = 1 if seealleveryday ==nr_N
    tab contact2 seealleveryday2
	replace contact2=. if year ==2000 | year ==1997
	
	bys pidlink year: egen contactall = sum(contact2) 
	mark contactall2 if contactall == nr_N
	

  
  // define sample 
global fam i.edu age  i.marst i.cores_bk i.far i.pcepc_q  i.nrchedu_h  nrch_youngest 
global comm comm_trans comm_schl  i.garbage i.piped healthpost  i.comm_ind i.comm_farm i.comm_service 

xtreg tr_u i.sig_q  i.year   $fam $comm    ,fe vce(cluster provkabkec)
  mark sample if e(sample)==1  

  save "$working/finalsample",replace
