/**** this code is used to make Table 2 in the manuscript *******/

global working " "
   // this is where the analytic data file is stored 

global tab "" 
   // thsi is where the descriptive table is stored

/****************************************************************/
  use "$working/finalsample",clear
  
  /* first define the analytical sample, use the estimation_lp do file*/ 

 
  /* number of noncoresident children */
  
  svyset  [pweight=pwtx] , strata(prov)
  putexcel set "$tab/Table_demographic research.xlsx" , sheet(Table 2)  modify
   drop if prov ==76
  
    svy: mean nr_N if year ==1997 & sample ==1 
	  mat b = r(table)
	  putexcel B4= b[1,1]
	svy: mean nr_N if year ==2000 & sample ==1  
	  mat b = r(table)
	  putexcel C4= b[1,1] 
	svy: mean nr_N if year ==2007 & sample ==1 
	  mat b = r(table)
	  putexcel D4= b[1,1] 
    svy: mean nr_N if year ==2014 & sample ==1  
	  mat b = r(table)
	  putexcel E4= b[1,1] 
	
  
 /*coresidence  */ 
svy: tab cores_bk  if year==1997 & sample ==1  
      mat b = e(b)
	  putexcel B5 = b[1,2]
svy: tab cores_bk if year==2000 & sample ==1  
      mat b = e(b)
	  putexcel C5 = b[1,2]
svy: tab cores_bk  if year==2007 & sample ==1  
      mat b = e(b)
	  putexcel D5 = b[1,2]
svy: tab cores_bk  if year==2014 & sample ==1  
      mat b = e(b)
	  putexcel E5 = b[1,2]
	  
	  svy: mean cores_bk if year ==1997 & sample ==1 
	  svy: mean cores_bk if year ==2000 & sample ==1 
	  svy: mean cores_bk if year ==2007 & sample ==1 
	  svy: mean cores_bk if year ==2014 & sample ==1 
	    
	  
	 /*seeing noncoresident children everyday   */ 
	
svy: mean seealleveryday2  if year==1997 & sample ==1  
 mat b=r(table)
 putexcel B6= b[1,1]
svy: mean seealleveryday2 if year==2000 & sample ==1 
  mat b=r(table)
 putexcel C6= b[1,1] 
svy: mean seealleveryday2  if year==2007 & sample ==1 
  mat b=r(table)
 putexcel D6= b[1,1] 
svy: mean seealleveryday2  if year==2014 & sample ==1 
  mat b=r(table)
 putexcel E6= b[1,1] 
    
	  
	 /*closest children */
	 recode nrch_closest (0=1) (1 2 3=0), gen(samevil)
 svy: mean samevil if year ==1997  & sample ==1 
   mat b=r(table)
   putexcel B8 = b[1,1]
 svy: mean samevil if year ==2000 & sample ==1  
   mat b=r(table)
   putexcel C8 = b[1,1]
  svy: mean samevil if year ==2007 & sample ==1  
   mat b=r(table)
   putexcel D8 = b[1,1]
  svy: mean samevil if year ==2014  & sample ==1 
   mat b=r(table)
   putexcel E8 = b[1,1]
   
   
   	 /*farthest children */ 
	// different district and further, do calculation in excel 

   recode nrch_farthest (2 3=1) (0 1 =0) ,gen(difdis)
   
   svy: mean difdis if year ==1997 & sample ==1
	  mat b=r(table) 
   putexcel B10 = b[1,1]
  svy: mean difdis if year ==2000 & sample ==1
	  mat b=r(table) 
   putexcel C10 = b[1,1]
	svy: mean difdis if year ==2007 & sample ==1
  mat b=r(table) 
   putexcel D10 = b[1,1]
	svy: mean difdis if year ==2014 & sample ==1
	  mat b=r(table) 
   putexcel E10 = b[1,1]
  
   
	
  // different province 
   
   recode nrch_farthest (0 1 2 =0) (3=1), gen(difprov)
    svy: mean difprov if year ==1997  & sample ==1
	   mat b=r(table) 
   putexcel B11 = b[1,1]
    svy: mean difprov if year ==2000  & sample ==1
	   mat b=r(table) 
   putexcel C11 = b[1,1]
	svy: mean difprov if year ==2007 & sample ==1
	   mat b=r(table) 
   putexcel D11 = b[1,1]
	svy: mean difprov if year ==2014 & sample ==1
	   mat b=r(table) 
   putexcel E11 = b[1,1]
   
  
  /* visit weekly */
   svy: tab see if year==1997  & sample ==1
     mat b=e(b)
	 putexcel B14 = b[1,2]
   svy: tab see if year==2000  & sample ==1
     mat b=e(b)
	 putexcel C14 = b[1,2]
   svy: tab see if year==2007  & sample ==1
     mat b=e(b)
	 putexcel D14 = b[1,2]
   svy: tab see if year==2014  & sample ==1
     mat b=e(b)
	 putexcel E14 = b[1,2]
	 
	    svy: mean see if year ==1997  & sample ==1
    svy: mean see if year ==2000  & sample ==1
	svy: mean see if year ==2007 & sample ==1
	svy: mean see if year ==2014  & sample ==1
	
	
	 
/* phone contact weekly */
   svy: tab contact if year==2007  & sample ==1
     mat b=e(b)
	 putexcel D15 = b[1,2]
   svy: tab contact if year==2014 & sample ==1
     mat b=e(b)
	 putexcel E15 = b[1,2]
	 
	  svy: mean contact if year==2007 & ba_status ==3 
      svy: mean contact if year==2014 & ba_status ==3 

	
	 
/* giving transfer */ 
  svy: tab  tr_d if year ==1997  & sample ==1 
    mat b=e(b)
    putexcel B19 = b[1,2]
  svy: tab  tr_d if year ==2000  & sample ==1 
    mat b=e(b)
    putexcel C19 = b[1,2]
  svy: tab  tr_d if year ==2007  & sample ==1 
    mat b=e(b)
    putexcel D19 = b[1,2]
 svy: tab  tr_d if year ==2014  & sample ==1 
    mat b=e(b)
    putexcel E19 = b[1,2]
	
	 svy: mean tr_d if year ==1997 & sample ==1 
    svy: mean tr_d if year ==2000  & sample ==1
	svy: mean tr_d if year ==2007  & sample ==1
	svy: mean tr_d if year ==2014  & sample ==1
	
	
/* amount of transfer given */ 
sum amt_u if year==1997 & tr_d==1,d
 local med = r(p50)
 putexcel B20 =`med'/1000
sum amt_u if year==2000 & tr_d==1,d
  local med = r(p50)
 putexcel C20 = `med'/1000
sum amt_u if year==2007 & tr_d==1,d
  local med = r(p50)
 putexcel D20 = `med'/1000
sum amt_u if year==2014 & tr_d==1,d
   local med = r(p50)
 putexcel E20 = `med'/1000
 
/* receiving transfer */ 
  svy: tab  tr_u if year ==1997  & sample ==1
    mat b=e(b)
    putexcel B17 = b[1,2]
  svy: tab  tr_u if year ==2000  & sample ==1
    mat b=e(b)
    putexcel C17 = b[1,2]
  svy: tab  tr_u if year ==2007 & sample ==1
    mat b=e(b)
    putexcel D17 = b[1,2]
 svy: tab  tr_u if year ==2014 & sample ==1
    mat b=e(b)
    putexcel E17 = b[1,2]
	
	 svy: mean tr_u if year ==1997 & ba_status==3  
    svy: mean tr_u if year ==2000 & ba_status==3 
	svy: mean tr_u if year ==2007 & ba_status==3 
	svy: mean tr_u if year ==2014 & ba_status==3
	
	
/* amount of transfer receiving */ 
sum amt_u if year==1997 & tr_u==1,d
 local med = r(p50)
 putexcel B18 =`med'/1000
sum amt_u if year==2000 & tr_u==1,d
  local med = r(p50)
 putexcel C18 = `med'/1000
sum amt_u if year==2007 & tr_u==1,d
  local med = r(p50)
 putexcel D18 = `med'/1000
sum amt_u if year==2014 & tr_u==1,d
   local med = r(p50)
 putexcel E18 = `med'/1000
 
 
 // unweighted N 
 tab year if sample ==1 


