
/*****************************************************************************/
 this .do file estimate the impact of cellphone signal on intergenerational support 
 in Huangfu and Nobles in a cohort sample 
 *****************************************************************************/
 
global working " "
   // this is where the analytic data file is stored 
   
/******* futher cleaning to prepare the sample for the longitudinal analysis ****/ 
use "$working/sample_bacouple",clear

 drop if year <2007

 g lntr_down = ln(amt_d) 
 g lntr_up = ln(amt_u)
 

   recode nrch_farthest (1 2 3  =0) ( 4 5 6=1) ,gen(far)  

 
global fam i.edu c.age   i.marst i.cores_bk i.far i.pcepc_q  i.nrchedu_h  nrch_youngest 
global comm comm_trans comm_schl  i.garbage i.piped healthpost  i.comm_ind i.comm_farm i.comm_service 

destring pidlink, replace
  xtset pidlink 
 
	
	 mark seealleveryday2 if seealleveryday == nr_N
  g contact2 = contact 
  recode contact2 (0 =0) (1 2=1)
 replace contact2 = 1 if seealleveryday ==nr_N
    tab contact2 seealleveryday2
	replace contact2=. if year ==2000 | year ==1997
	
	su amt_d if tr_d ==1 ,d
  g amt_dp99 = r(p99)
  
  g amt_d2 = amt_d
  replace amt_d2 = 0 if tr_d==0 
  g lntr_down2 = ln(amt_d2+1)
  
  su amt_u if tr_u ==1,d
  g amt_up99 =r(p99)
  g amt_u2 = amt_u
  replace amt_u2 = 0 if tr_u==0 
  g lntr_up2 = ln(amt_u2+1)
  
  bys pidlink: egen edu2 = max(edu) 
   replace edu = edu2 
    drop edu2
	
	   recode sig_q (1 2 3=0) (4=1) 
	   
 bys pidlink: egen firstyear = min(year)
  drop if firstyear >2007
 
	drop n
	bys pidlink: g N=_N
	   bys pidlink: g n =_n
	   mark tracked if N==2 
	   
	/**** descriptives using the cohort sample (Appendix table 3)*******************/

  sum nr_N if year ==2007 & N==2
	
    /*coresidence  */ 
 tab cores_bk  if year==2007 & N ==2 
   
/*seeing all noncoresident children everyday   */ 
tab seealleveryday2  if year==2007 & N ==2 & ba_status ==3

	   /*closest children */
	 recode nrch_closest (1 =1 ) (2 3 4 5 6=0), gen(samevil)
    tab samevil if year ==2007 & N ==2 

   
   /*farthest children */ 
	recode nrch_farthest (4 5 6=1) (1 2 3=0) ,gen(difdis)
 tab difdis if year ==2007 & N==2

  
  // different province 
   
   recode nrch_farthest (5 6 =1) (1 2 3 4=0), gen(difprov)
  tab difprov if year ==2007 & N==2

  
  /* visit weekly */
   tab see if year==2007  & N==2 & ba_status ==3
    
	 
/* phone contact weekly */
 tab contact if year==2007  & N==2 & ba_status ==3
    
	
/* giving transfer */ 
tab  tr_d if year ==2007  & N ==2 & ba_status ==3
    
/* amount of transfer given */ 

sum amt_u if year==2007 & tr_d==1,d

/* receiving transfer */ 
 tab  tr_u if year ==2007 & N==2 & ba_status ==3
  
/* amount of transfer receiving */ 
sum amt_u if year==2007 & tr_u==1,d */
 
	/****************************************************
	models to test sample attrition due to mortality 
	(Table 3B) *****************************************************/

 xtreg contact2 i.sig_q  i.year   $fam $comm if N==2 ,fe vce(robust)

 
 // amount of transfer giving, including 0 values 
xtreg lntr_down2 i.sig_q  i.year    $fam $comm  if N==2 &  amt_d2 < amt_dp99  ,fe vce(robust)

// amount of transfer receiving, including 0 values 
xtreg lntr_up2 i.sig_q  i.year    $fam $comm  if N==2 &  amt_u2 < amt_up99  ,fe vce(robust)
  


/**** if the lost to track/death  is associated with signal covarege  (appendix table 4)*/ 
// need to construct a variable indicates whether a respondent has signal coverage 
// in the future 
 
 sort pidlink year 
 g sig07 = sig_q if year==2007 
 bys pidlink: egen sig_07 =mean(sig07)



 tempfile sample 
 save `sample' 
 
 use  "$raw/IFLS5/hh/ptrack.dta",clear  //this is the raw IFLS 5 ptrack file 
   keep ar01a_14 hhid14 pidlink
   
     recode ar01a_14 (0=1) (1  2 3 5 6 11=0),gen(dead14)
	  
	  keep pidlink dead14 
	    bys pidlink: drop if _n>1
		drop if pidlink =="no change" 
		
	destring pidlink, replace force
		 drop if pidlink==. 
	    merge 1:m pidlink using `sample'
		 drop if _merge ==1
		  drop _merge 
   
      tab dead14
      replace tracked = 2 if dead14 ==1 & tracked ==0 
	   label define tracked 0"lost" 1"tracked" 2"dead" 
	   label values tracked tracked
	   
	   recode tracked (2=1) (1=0) (0=.) , gen(dead)
	   recode tracked (0=1) (1=0) (2=.), gen(lost)
	  
	 

	 destring prov, replace
	   reg  dead i.sig_07  $fam $comm i.prov  if year ==2007  , vce(robust) 
       reg lost i.sig_07  $fam $comm i.prov  if  year ==2007  ,  vce(robust) 
   
         
 /*******************************************************************************
 stratified sample analysis  (Table 4B)
*******************************************************************************/

/* contact */ 
// by cores_bk marst agegp far 
g older= 0 if age>=60 & age<70
 replace older = 1 if age>=70 & age<85
 
 foreach var in cores_bk marst older far { 
    xtreg contact2 i.sig_q  i.year    $fam $comm  if  `var' ==0 ,fe vce(robust)
    xtreg contact2 i.sig_q  i.year    $fam $comm  if   `var' ==1 ,fe vce(robust)
    }

// by consumption tertile 
 xtreg contact2 i.sig_q  i.year   $fam $comm   if     pcepc_q ==1 ,fe vce(robust)   
  xtreg contact2  i.sig_q  i.year   $fam $comm   if    pcepc_q ==2 ,fe vce(robust)       
  xtreg contact  i.sig_q  i.year   $fam $comm   if    pcepc_q ==3 ,fe vce(robust)
       
/* amount giving */ 
		 
 foreach var in cores_bk marst older far { 
    xtreg lntr_down2 i.sig_q  i.year    $fam $comm  if   `var' ==0 ,fe vce(robust)
    xtreg lntr_down2 i.sig_q  i.year    $fam $comm  if   `var' ==1 ,fe vce(robust)
 }

// by consumption tertile 
 xtreg lntr_down2 i.sig_q  i.year   $fam $comm   if     pcepc_q ==1 ,fe vce(robust)
  xtreg lntr_down2  i.sig_q  i.year   $fam $comm   if    pcepc_q ==2 ,fe vce(robust)
  xtreg lntr_down2  i.sig_q  i.year   $fam $comm   if    pcepc_q ==3 ,fe vce(robust)
      

/* amount receiving  */ 
foreach var in cores_bk marst older far { 
    xtreg lntr_up2 i.sig_q  i.year    $fam $comm  if   `var' ==0 ,fe vce(robust)
    xtreg lntr_up2 i.sig_q  i.year    $fam $comm  if   `var' ==1 ,fe vce(robust)
     }

// by consumption tertile 
 xtreg lntr_up2 i.sig_q  i.year   $fam $comm   if     pcepc_q ==1 ,fe vce(robust)
  xtreg lntr_up2  i.sig_q  i.year   $fam $comm   if    pcepc_q ==2 ,fe vce(robust)
  xtreg lntr_up2  i.sig_q  i.year   $fam $comm   if    pcepc_q ==3 ,fe vce(robust)
     
	 
  
  
  
