
/********************************************************************************
  this is the .do file to construct the sample and run the analysis for fake outcome analysis 
    (appendix table 8) 
********************************************************************************/

global raw "" 
   // this is where the raw data of IFLS are
global working ""
   // this is where the analytic data file is stored 

   
/* BMI */ 
/**** 1997 ************/
// height 
use "$raw/IFLS2/hh/bus_1",clear
 g year = 1997
 tempfile height97
  save `height97' 
  
/*** 2000 ************/

// BMI 
 use  "$raw/IFLS3/hh/bus2_1",clear
  drop if ar01a ==0 | ar01a==3 
  
  g bmi = us06/((us04/100)*(us04/100)) if us06 <999

  
  merge 1:1 pidlink using "$raw/IFLS3/hh/ptrack"
   drop if _merge <3
     drop _merge
  
  merge m:1 hhid00 using "$raw/IFLS3/hh/bk_sc"
     drop if _merge ==2 
	 drop _merge 
	 
 keep if age_00 >=40 & age_00 <.
 g year= 2000
 rename sc01 prov 
 tempfile bmi00
 save `bmi00'
 
/*** 2007 ************/

use "$raw/IFLS4/hh/bus1_1",clear
	 drop if usar01a==0 | usar01a==3
	  bys pidlink: drop if _n >1
	  
	  keep pidlink us06 
	  
	 merge 1:m pidlink using "$raw/IFLS4/hh/bus1_2"
	  drop if _merge ==2 
	  drop _merge
  
    g bmi = us06/((us04/100)*(us04/100)) if us06 <999
	
	drop if bmi==.
	bys pidlink: drop if _n>1
 merge 1:1 pidlink using "$raw/IFLS4/hh/ptrack" 
 
  drop if _merge ==2 
  drop _merge
  
    merge m:1 hhid07 using "$raw/IFLS4/hh/bk_sc"
	 drop if _merge ==2 
	 drop _merge 
	 rename sc010707 prov 
	
  keep if age_07 >=40 & age_07 <.
  g year = 2007
  tempfile bmi07
  save `bmi07'
  
 /*** 2014 ************/ 
 use "$raw/IFLS5/hh/bus_us",clear
       g bmi = us06/((us04/100)*(us04/100)) if us06 <999
	  
	  merge 1:m pidlink using "$raw/IFLS5/hh/ptrack"
	  
	 drop if _merge ==2 
	 drop _merge
	 
	  merge m:1 hhid14 using "$raw/IFLS5/hh/bk_sc1"
	 drop if _merge ==2 
	 drop _merge 
	 rename sc01_14_14 prov 
	
	
	 
	 keep if age_14 >=40 & age_14 <.
	 
	 g year = 2014
	 
	 
	 /********************/
	 append using `bmi07' ,force
	 append using `bmi00',force
	 append using `height97', force 
	 
	 replace bmi =. if bmi >60 | bmi <10
	 
	 destring pidlink, replace force
	 bys pidlink year: drop if _n >1
	 
	merge 1:1 pidlink year using "$working/finalsample"
	 drop if _merge ==1 
	 drop _merge 
	 
	 
	 
/********************************************************************************
run the analysis  (Appendix table 8)
********************************************************************************/

	 xtset provkabkec
	 
	 
	 
	 xtreg us04  i.sig_q i.year $fam $comm if sample==1 , fe  vce(cluster provkabkec)
	    outreg2 using "$log/fakeoutcome.xls", dec(3) append stats(coef ci) noaster
	
	 
